Index: code/branches/questsystem5/src/orxonox/tools/ParticleInterface.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/tools/ParticleInterface.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/tools/ParticleInterface.cc	(revision 2908)
@@ -40,6 +40,6 @@
 #include <cassert>
 
-#include "GraphicsManager.h"
-#include "core/GameMode.h"
+#include "GraphicsEngine.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "util/Convert.h"
@@ -64,5 +64,5 @@
         this->speedFactor_ = 1.0f;
 
-        if (GameMode::showsGraphics())
+        if (Core::showsGraphics())
         {
             try
@@ -178,6 +178,6 @@
     {
         this->detaillevel_ = level;
-        if (GameMode::showsGraphics())
-            this->detailLevelChanged(GraphicsManager::getInstance().getDetailLevelParticle());
+        if (GraphicsEngine::getInstancePtr())
+            this->detailLevelChanged(GraphicsEngine::getInstance().getDetailLevelParticle());
     }
 
Index: code/branches/questsystem5/src/orxonox/tools/ParticleInterface.h
===================================================================
--- code/branches/questsystem5/src/orxonox/tools/ParticleInterface.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/tools/ParticleInterface.h	(revision 2908)
@@ -37,5 +37,5 @@
 #include "core/OrxonoxClass.h"
 #include "util/Math.h"
-#include "tools/TimeFactorListener.h"
+#include "gamestates/GSRoot.h"
 
 #define getAllEmitters() \
Index: code/branches/questsystem5/src/orxonox/tools/Shader.cc
===================================================================
--- code/branches/questsystem5/src/orxonox/tools/Shader.cc	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/tools/Shader.cc	(revision 2908)
@@ -36,8 +36,8 @@
 #include <OgrePlugin.h>
 
-#include "core/GameMode.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
-#include "GraphicsManager.h"
+#include "GraphicsEngine.h"
 #include "util/Exception.h"
 
@@ -59,5 +59,5 @@
         this->compositorInstance_ = 0;
         this->bVisible_ = true;
-        this->bLoadCompositor_ = GameMode::showsGraphics();
+        this->bLoadCompositor_ = Core::showsGraphics() && GraphicsEngine::getInstancePtr();
         this->bViewportInitialized_ = false;
         this->compositor_ = "";
@@ -86,5 +86,5 @@
         if (this->bLoadCompositor_ && this->compositorInstance_)
         {
-            Ogre::Viewport* viewport = GraphicsManager::getInstance().getViewport();
+            Ogre::Viewport* viewport = GraphicsEngine::getInstance().getViewport();
             assert(viewport);
             Ogre::CompositorManager::getSingleton().removeCompositor(viewport, this->compositor_);
@@ -114,5 +114,5 @@
         if (this->bLoadCompositor_)
         {
-            Ogre::Viewport* viewport = GraphicsManager::getInstance().getViewport();
+            Ogre::Viewport* viewport = GraphicsEngine::getInstance().getViewport();
             assert(viewport);
             if (this->oldcompositor_ != "")
@@ -246,5 +246,5 @@
     Shader::ParameterPointer* Shader::getParameterPointer(const std::string& material, size_t technique, size_t pass, const std::string& parameter)
     {
-        if (!GameMode::showsGraphics() || !Shader::bLoadedCgPlugin_s)
+        if (!Core::showsGraphics() || !Shader::bLoadedCgPlugin_s)
             return 0;
 
Index: code/branches/questsystem5/src/orxonox/tools/Timer.h
===================================================================
--- code/branches/questsystem5/src/orxonox/tools/Timer.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/tools/Timer.h	(revision 2908)
@@ -64,5 +64,5 @@
 #include "core/Executor.h"
 #include "core/OrxonoxClass.h"
-#include "tools/TimeFactorListener.h"
+#include "gamestates/GSRoot.h"
 
 namespace orxonox
Index: code/branches/questsystem5/src/orxonox/tools/WindowEventListener.h
===================================================================
--- code/branches/questsystem5/src/orxonox/tools/WindowEventListener.h	(revision 2907)
+++ code/branches/questsystem5/src/orxonox/tools/WindowEventListener.h	(revision 2908)
@@ -49,5 +49,5 @@
 
             /** Window has resized */
-            virtual void windowResized(unsigned int newWidth, unsigned int newHeight) { }
+            virtual void windowResized(int newWidth, int newHeight) { }
 
             /** Window has lost/gained focus */
